//
//  AppDelegate.m
//  TestFMDB
//
//  Created by Akabeko on 11/11/20.
//  Copyright (c) 2011, Akabeko. All rights reserved.
//

#import "AppDelegate.h"
#import "BooksViewController.h"

@implementation AppDelegate

@synthesize window = _window, navigationController = _navigationController;

/**
 * メモリを解放します。
 */
- (void)dealloc
{
	[_window               release];
	[_navigationController release];
	
	[super dealloc];
}

/**
 * アプリケーションが起動された時に発生します。
 *
 * @param application   アプリケーション。
 * @param launchOptions 起動オプション。
 *
 * @return 成功時は YES。それ以外は NO。
 */
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]] autorelease];
	
	BooksViewController* view = [[[BooksViewController alloc] initWithNibName:@"BooksView" bundle:nil] autorelease];
	self.navigationController = [[[UINavigationController alloc] initWithRootViewController:view] autorelease];
	self.window.rootViewController = self.navigationController;
	[self.window makeKeyAndVisible];
	
	return YES;
}


@end
